GlideServletResponse - Scoped

  • リリースバージョン: Australia
  • 更新日 2026年03月12日
  • 所要時間:3分
  • The GlideServletResponse API provides methods to use in processor scripts.

    ServiceNow processor scripts are equivalent to Java servlets. Processor scripts provide a customizable URL endpoint that can execute arbitrary server-side JavaScript code and produce output such as TEXT, JSON, or HTML. Use the GlideServletResponse API in processor scripts to access the HttpServletResponse object. The GlideServletResponse object provides a subset of the HttpServletResponse APIs. The methods are called using the global variable g_response.

    A useful global variable, g_target, is available in processor scripts. It contains the table name extracted from the URL.

    The URL to a processor has the format: https://<instance name.servicenow.com>/<path endpoint>.do?<parameter endpoint>=<value> where the path endpoint and parameter endpoint are defined on the processor form.

    GlideServletResponse - sendRedirect(String location)

    Sends a temporary redirect to the client.

    表 : 1. Parameters
    Name Type Description
    location String The URL to receive the response.
    表 : 2. Returns
    Type Description
    void

    GlideServletResponse - setContentType(String type)

    Sets the MIME type of the response

    表 : 3. Parameters
    Name Type Description
    type String The MIME type.
    表 : 4. Returns
    Type Description
    void
    g_response.setContentType('text/html;charset=UTF-8');

    GlideServletResponse - setHeader(String key, String value)

    Sets a response header to the specified value.

    表 : 5. Parameters
    Name Type Description
    key String Specifies the header.
    value String The value to be assigned to the header. If the header exists, it is overwritten.
    表 : 6. Returns
    Type Description
    void
    g_response.setHeader("host", "instance.service-now.com");

    GlideServletResponse - setStatus(Number status)

    Sets the status code for the response.

    表 : 7. Parameters
    Name Type Description
    status Number The status to be set.
    表 : 8. Returns
    Type Description
    void
    // set the status to okay
    g_response.setStatus(200);